import { OnApplicationBootstrap, OnModuleInit } from '@nestjs/common';
import { Peripheral } from '@mkerix/noble';
import { EntitiesService } from '../../entities/entities.service';
import { ConfigService } from '../../config/config.service';
import { BluetoothService } from '../../integration-support/bluetooth/bluetooth.service';
export declare class XiaomiMiService implements OnModuleInit, OnApplicationBootstrap {
    private readonly bluetoothService;
    private readonly entitiesService;
    private readonly configService;
    private config;
    private readonly logger;
    constructor(bluetoothService: BluetoothService, entitiesService: EntitiesService, configService: ConfigService);
    onModuleInit(): void;
    onApplicationBootstrap(): void;
    private hasSensors;
    private recordMeasure;
    handleDiscovery(peripheral: Peripheral): void;
    private static getValidServiceData;
    private static parseServiceData;
}
